Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.osgi
Class SpringOsgiObjectFactory

    java.lang.Object
      com.opensymphony.xwork2.ObjectFactory
          org.apache.struts2.osgi.SpringOsgiObjectFactory

All Implemented Interfaces:
  Serializable

    public class SpringOsgiObjectFactory

extends com.opensymphony.xwork2.ObjectFactory

This Object factory uses the ActionContext(s) published by Spring OSGi to lookup beans

See Also:
  Serialized Form

Constructor Summary
`SpringOsgiObjectFactory()`

Method Summary
`Object` | `buildBean(Class clazz, Map<String,Object> extraContext)`
`Object` | `buildBean(String className, Map<String,Object> extraContext, boolean injectInternal)`
`protected boolean` | `containsBean(String beanName)`
`protected Object` | `getBean(String beanName)`
`Class` | `getClassInstance(String className)`
`void` | `setBundleAccessor(BundleAccessor bundleAccessor)`

Methods inherited from class com.opensymphony.xwork2.ObjectFactory
`buildAction, buildBean, buildConverter, buildInterceptor, buildResult, buildUnknownHandler, buildValidator, getObjectFactory, injectInternalBeans, isNoArgConstructorRequired, setActionFactory, setClassLoader, setContainer, setConverterFactory, setInterceptorFactory, setResultFactory, setUnknownHandlerFactory, setValidatorFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringOsgiObjectFactory

    public SpringOsgiObjectFactory()

Method Detail

### buildBean

    public Object buildBean(String className,
                            Map<String,Object> extraContext,
                            boolean injectInternal)
                     throws Exception

  Overrides:
    `buildBean` in class `com.opensymphony.xwork2.ObjectFactory`
  Throws:
    `Exception`

### buildBean

    public Object buildBean(Class clazz,
                            Map<String,Object> extraContext)
                     throws Exception

  Overrides:
    `buildBean` in class `com.opensymphony.xwork2.ObjectFactory`
  Throws:
    `Exception`

### getClassInstance

    public Class getClassInstance(String className)
                           throws ClassNotFoundException

  Overrides:
    `getClassInstance` in class `com.opensymphony.xwork2.ObjectFactory`
  Throws:
    `ClassNotFoundException`

### getBean

    protected Object getBean(String beanName)

### containsBean

    protected boolean containsBean(String beanName)

### setBundleAccessor

    public void setBundleAccessor(BundleAccessor bundleAccessor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.